# -*- rpm-spec -*-
# $Id: gaim,v 1.9 2003/01/29 09:40:48 grigory Exp $

Name: gaim
Version: 0.59.8
Release: alt2

Summary: A client compatible with AOL's 'Instant Messenger'
License: GPL
Group: Networking/Chat
Url: http://marko.net/%name/

Packager: Grigory Milev <week@altlinux.ru> 

Source: %name-%version.tar.bz2
Source1: %{name}_icons.tar.bz2
#RH patches
Patch0: %name-0.59.1-desktop.patch
Patch1: %name-0.59.8-zephyr-makefile-typo.patch
Patch2: %name-plugins.patch


# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: XFree86-devel XFree86-libs altlinux-release esound-devel gdk-pixbuf-devel glib-devel glibc-devel-static gtk+-devel libaudiofile-devel
BuildRequires: automake_1.4
#gdk-pixbuf-devel

%description
Gaim allows you to talk to anyone using AOL's Instant Messenger service (you
can sign up at http://www.aim.aol.com).

It uses the TOC version of the AOL protocol, so your buddy list is stored on
AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at the same time
incorporating many new features.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%set_automake_version 1.4

%build
%configure --disable-gnome --disable-artsc --disable-perl
%make_build

%install
%makeinstall bitsdata=%buildroot%_datadir bitssysconf=%buildroot%_sysconfdir

%__mkdir_p %buildroot/%_datadir/applications/

%__mv %buildroot/%_datadir/gnome/apps/Internet/gaim.desktop \
   %buildroot/%_datadir/applications/net-gaim.desktop

#icons
%__install -pD -m644 %{name}_16.xpm %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %{name}_32.xpm %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %{name}_48.xpm %buildroot%_liconsdir/%name.xpm

# Menu
%__mkdir_p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.xpm" section="/Networking/Instant messaging" \
title="Gaim" longtitle="AOL Instant Messenger clone"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc ABOUT-NLS AUTHORS ChangeLog HACKING INSTALL NEWS README TODO
%doc doc/CREDITS doc/FAQ doc/*.txt
%_bindir/*
%_libdir/%name
%_menudir/*
%_mandir/man?/*
%_datadir/applications/net-gaim.desktop
%_datadir/pixmaps/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm

%changelog
* Wed Jan 29 2003 Grigory Milev <week@altlinux.ru> 0.59.8-alt2
- added recode plugin

* Wed Jan  8 2003 Grigory Milev <week@altlinux.ru> 0.59.8-alt1
- new version released

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 0.59.1-alt1
- new version (non maintainer build)

* Mon Apr 29 2002 Grigory Milev <week@altlinux.ru> 0.57-alt1
- new version released

* Mon Apr  1 2002 Grigory Milev <week@altlinux.ru> 0.55-alt1
- new version released

* Mon Mar  4 2002 Grigory Milev <week@altlinux.ru> 0.53-alt1
- new version released

* Tue Feb 19 2002 Grigory Milev <week@altlinux.ru> 0.52-alt1
- new version released

* Mon Jan 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.51-alt2
- Updated buildrequires.

* Fri Jan 25 2002 Grigory Milev <week@altlinux.ru> 0.51-alt1
- new version released

* Mon Dec 17 2001 Grigory Milev <week@altlinux.ru> 0.50-alt1
- New version released

* Thu Nov 15 2001 Alexander Bokovoy <ab@altlinux.ru> 0.48-alt2
- 0.48
- wmgaim + recode from Grigory Bakunov (black@asplinux.ru)

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 0.44-alt1
- 0.44

* Wed Jul 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.11.0-alt2
- Rebuilt with new perl.
 
* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 0.11.0-alt1
- 0.11.0 . Rebuilt with perl-5.6.1

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.3-1mdk
- up to 0.10.3

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.20-5mdk
- menu title should begin with capital letter.
- ICQ section was replaced by Instant messaging.

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-4mdk
- Adding small and large icons

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-3mdk
- Change icon for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.20-2mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-1mdk
- up to 0.9.20

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.19-1mdk
- 0.9.19

* Thu Jun  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18
- minor fixes in specfile

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.


